Subject: Re: [PATCH] mm/slab: improve kmem_cache_alloc_bulk

From: Christoph Hellwig <[email-masked]>
Date: Mon, 1 Jun 2026 13:38:31 +0200

On Mon, Jun 01, 2026 at 10:16:30AM +0200, Vlastimil Babka (SUSE) wrote:
> > kmem_cache_alloc_bulk() returning 0 was considered a success in that case.
> > 
> > Either fixing kmem_cache_alloc_bulk() (and the comment) or fixing the
> > user sounds fine to me.
> 
> Would it be wrong if we just returned true for size of 0? Would something
> else break?

I don't think it is wrong per se, but it feels like the wrong kind of
API.  I.e. I don't think the MSM caller actually wants this, as they'd
also do a zero-sized kvmalloc.